package com.zehong.system.domain;

import com.zehong.common.annotation.Excel;

import java.math.BigDecimal;

public class TradeIncomeStatistics {

    @Excel(name = "部门")
    private String applyDeptName;

    @Excel(name = "经办人")
    private String applyName;

    @Excel(name = "条数")
    private int countNum;

    @Excel(name = "交易总额",isStatistics = true)
    private BigDecimal tradeTotal;

    @Excel(name = "交易收入总额",isStatistics = true)
    private BigDecimal totalDealPrice;

    private Long applyDeptId;

    private Long applyId;

    public String getApplyDeptName() {
        return applyDeptName;
    }

    public void setApplyDeptName(String applyDeptName) {
        this.applyDeptName = applyDeptName;
    }

    public String getApplyName() {
        return applyName;
    }

    public void setApplyName(String applyName) {
        this.applyName = applyName;
    }

    public int getCountNum() {
        return countNum;
    }

    public void setCountNum(int countNum) {
        this.countNum = countNum;
    }

    public BigDecimal getTradeTotal() {
        return tradeTotal;
    }

    public void setTradeTotal(BigDecimal tradeTotal) {
        this.tradeTotal = tradeTotal;
    }

    public BigDecimal getTotalDealPrice() {
        return totalDealPrice;
    }

    public void setTotalDealPrice(BigDecimal totalDealPrice) {
        this.totalDealPrice = totalDealPrice;
    }

    public Long getApplyDeptId() {
        return applyDeptId;
    }

    public void setApplyDeptId(Long applyDeptId) {
        this.applyDeptId = applyDeptId;
    }

    public Long getApplyId() {
        return applyId;
    }

    public void setApplyId(Long applyId) {
        this.applyId = applyId;
    }
}
